IPC(2)

NAME
socketcall - socket system calls

SYNOPSIS
int socketcall(int call, unsigned long *args);

DESCRIPTION
socketcall is a common kernel entry point for the socket system calls. call determines which socket function to invoke. args points to a block containing the actual arguments, which are passed through to the appropriate call.

User programs should call the appropriate functions by their usual names. Only standard library implementors and kernel hackers need to know about socketcall.

CONFORMING TO
This call is specific to Linux, and should not be used in programs intended to be portable.

SEE ALSO
accept(2), bind(2), connect(2), getpeername(2), getsockname(2), getsockopt(2), listen(2), recv(2), recvfrom(2), send(2), sendto(2), setsockopt(2), shutdown(2), socket(2), socketpair(2)